## twisted 13.2.0

=== debian/changelog ===
twisted (13.2.0-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Keep the preliminary python3 support, but don't enable it.
    - Try to use plain pygtkcompat and fall back to gi.pygtkcompat, to
      avoid a DeprecationWarning, and a crash.
    - Use new io_add_watch api on new versions of pygobject.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jan 2014 00:19:41 +0100

twisted (13.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Jan 2014 23:52:50 +0100

twisted (13.0.0-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Keep the preliminary python3 support, but don't enable it.
    - Try to use plain pygtkcompat and fall back to gi.pygtkcompat, to
      avoid a DeprecationWarning, and a crash.
    - Use new io_add_watch api on new versions of pygobject.
    - Point html documentation to the generated api docs.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jun 2013 13:30:20 +0200
