## twisted 14.0.0

=== debian/changelog ===
twisted (14.0.0-2) unstable; urgency=medium

  * python-twisted-core: Depend on python-openssl and python-service-identity.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Jul 2014 15:39:02 +0200

twisted (14.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Klose <doko@debian.org>  Mon, 14 Jul 2014 13:49:08 +0200
