=== debian/control ===
--- 
+++ 
@@ -1,14 +1,11 @@
 Source: twisted
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>
 Build-Depends: debhelper (>=7.0.50~),
   python-all-dev (>= 2.6.6-3~), python-all-dbg,
-  python-zope.interface-dbg, patch,
-  python3-all-dev (>= 3.3), python3-all-dbg, python3-zope.interface-dbg
-#Build-Depends-Indep: python-pydoctor
+  python-zope.interface-dbg, patch
 XS-Python-Version: all
 Standards-Version: 3.9.5
 
@@ -40,7 +37,8 @@
 Architecture: all
 Depends: python-twisted-bin (>= ${source:Version}),
   python-zope.interface (>= 3.6), python (>= 2.5),
-  ${python:Depends}, ${misc:Depends}
+  ${python:Depends}, ${misc:Depends},
+  python-openssl, python-service-identity
 Suggests: python-tk, python-gtk2, python-glade2, python-qt3, python-wxgtk2.8
 Recommends: python-openssl, python-pam, python-serial
 Provides: ${python:Provides}
@@ -152,39 +150,6 @@
   - Prototypes of chat server and client frameworks built on top
     of the protocols.
 
-#Package: python3-twisted-core
-#Architecture: all
-#Depends: ${python3:Depends}, python3 (>= 3.3), python3-twisted-bin (>= ${source:Version}), python3-zope.interface (>= 3.6), ${misc:Depends}
-#Suggests: python3-tk, python3-gtk2, python3-glade2, python3-qt4, python3-wxgtk2.8
-#Recommends: python3-openssl, python3-pam, python3-serial
-#Provides: ${python:Provides}
-#Description: Event-based framework for internet applications
-# It includes a web server, a telnet server, a multiplayer RPG engine, a
-# generic client and server for remote object access, and APIs for creating
-# new protocols.
-
-#Package: python3-twisted-bin
-#Architecture: any
-#Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
-#Provides: ${python:Provides}
-#Suggests: python3-twisted-bin-dbg
-#Description: Event-based framework for internet applications
-# It includes a web server, a telnet server, a multiplayer RPG engine, a 
-# generic client and server for remote object access, and APIs for creating 
-# new protocols.
-
-#Package: python3-twisted-bin-dbg
-#Priority: extra
-#Section: debug
-#Architecture: any
-#Depends: python3-zope.interface-dbg, python3-twisted-bin (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
-#Description: Event-based framework for internet applications (debug extension)
-# It includes a web server, a telnet server, a multiplayer RPG engine, a 
-# generic client and server for remote object access, and APIs for creating 
-# new protocols.
-# .
-# This package contains the extension built for the Python debug interpreter.
-
 Package: twisted-doc
 Section: doc
 Priority: extra
