## twisted 14.0.2

=== debian/changelog ===
twisted (14.0.2-3+deb8u1) jessie-security; urgency=high

  * CVE-2020-10108, CVE-2020-10109: Prevent a number of HTTP request splitting
    vulnerabilities related to Content-Length headers. (Closes: #953950)

 -- Chris Lamb <lamby@debian.org>  Tue, 17 Mar 2020 17:44:19 +0000

twisted (14.0.2-3) unstable; urgency=medium

  * Add debian/combinedlog.patch to fix upstream's bug #7730 and
    restore the old combined log format. Closes: #772629.

 -- Free Ekanayaka <freee@debian.org>  Tue, 09 Dec 2014 11:58:50 +0100

twisted (14.0.2-2) unstable; urgency=medium

  * Re-add lost 14.0.2-2 upload. Closes: #763581.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Oct 2014 13:29:03 +0200

twisted (14.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix issue #7647: BrowserLikePolicyForHTTPS would always ignore the
      specified trustRoot and use the system trust root instead, which has
      been rectified. Closes: #761983.
  * Build using wxpython3.0 (Olly Betts). Closes: #759073.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Sep 2014 15:04:00 +0200
