=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
   python-all-dev (>= 2.6.6-3~), python-all-dbg,
   python-zope.interface-dbg, patch
 XS-Python-Version: all
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: python-twisted-bin
 Architecture: any
@@ -39,7 +39,7 @@
   python-zope.interface (>= 3.6), python (>= 2.5),
   ${python:Depends}, ${misc:Depends},
   python-openssl, python-service-identity
-Suggests: python-tk, python-gtk2, python-glade2, python-qt3, python-wxgtk2.8
+Suggests: python-tk, python-gtk2, python-glade2, python-qt3, python-wxgtk3.0
 Recommends: python-openssl, python-pam, python-serial
 Provides: ${python:Provides}
 Description: Event-based framework for internet applications
