## twisted 15.2.1

=== debian/changelog ===
twisted (15.2.1-1ubuntu2) wily; urgency=medium

  * web/client: allow IPv6 addresses.  lp1505748.diff
    LP: #1505748

 -- LaMont Jones <lamont@ubuntu.com>  Wed, 14 Oct 2015 11:00:28 -0600

twisted (15.2.1-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Keep the preliminary python3 support, but don't enable it.
    - Try to use plain pygtkcompat and fall back to gi.pygtkcompat, to
      avoid a DeprecationWarning, and a crash.
    - Use new io_add_watch api on new versions of pygobject.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jul 2015 19:01:33 +0200

twisted (15.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Jul 2015 18:57:17 +0200

twisted (15.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Free Ekanayaka <freee@debian.org>  Mon, 09 Mar 2015 09:53:34 +0100

twisted (14.0.2-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Keep the preliminary python3 support, but don't enable it.
    - Try to use plain pygtkcompat and fall back to gi.pygtkcompat, to
      avoid a DeprecationWarning, and a crash.
    - Use new io_add_watch api on new versions of pygobject.
    - python-twisted-core: Depend on python-openssl and python-service-identity.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Sep 2014 15:26:51 +0200

twisted (14.0.0-1ubuntu2) utopic; urgency=medium

  * python-twisted-core: Depend on python-openssl and python-service-identity.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Jul 2014 13:39:24 +0200

twisted (14.0.0-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Keep the preliminary python3 support, but don't enable it.
    - Try to use plain pygtkcompat and fall back to gi.pygtkcompat, to
      avoid a DeprecationWarning, and a crash.
    - Use new io_add_watch api on new versions of pygobject.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jul 2014 13:53:15 +0200
