=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: twisted
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>
 Build-Depends: debhelper (>=7.0.50~),
   python-all-dev (>= 2.6.6-3~), python-all-dbg,
-  python-zope.interface-dbg, patch
+  python-zope.interface-dbg, patch,
+  python3-all-dev (>= 3.3), python3-all-dbg, python3-zope.interface-dbg
+#Build-Depends-Indep: python-pydoctor
 XS-Python-Version: all
 Standards-Version: 3.9.6
 
@@ -40,12 +43,48 @@
   ${python:Depends}, ${misc:Depends},
   python-openssl, python-service-identity
 Suggests: python-tk, python-gtk2, python-glade2, python-qt3, python-wxgtk3.0
-Recommends: python-openssl, python-pam, python-serial
+Recommends: python-pam, python-serial
 Provides: ${python:Provides}
 Description: Event-based framework for internet applications
  It includes a web server, a telnet server, a multiplayer RPG engine, a
  generic client and server for remote object access, and APIs for creating
  new protocols.
+
+#Package: python3-twisted-core
+#Architecture: all
+#Depends: ${python3:Depends}, python3 (>= 3.3),
+#  python3-twisted-bin (>= ${source:Version}),
+#  pyton3-zope.interface (>= 3.6), ${misc:Depends},
+#  python3-openssl, python3-service-identity
+#Suggests: python3-tk, python3-gtk2, python3-glade2, python3-qt4, python3-wxgtk2.8
+#Recommends: python3-pam, python3-serial
+#Provides: ${python:Provides}
+#Description: Event-based framework for internet applications
+# It includes a web server, a telnet server, a multiplayer RPG engine, a
+# generic client and server for remote object access, and APIs for creating
+# new protocols.
+
+#Package: python3-twisted-bin
+#Architecture: any
+#Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+#Provides: ${python:Provides}
+#Suggests: python3-twisted-bin-dbg
+#Description: Event-based framework for internet applications
+# It includes a web server, a telnet server, a multiplayer RPG engine, a 
+# generic client and server for remote object access, and APIs for creating 
+# new protocols.
+
+#Package: python3-twisted-bin-dbg
+#Priority: extra
+#Section: debug
+#Architecture: any
+#Depends: python3-zope.interface-dbg, python3-twisted-bin (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
+#Description: Event-based framework for internet applications (debug extension)
+# It includes a web server, a telnet server, a multiplayer RPG engine, a 
+# generic client and server for remote object access, and APIs for creating 
+# new protocols.
+# .
+# This package contains the extension built for the Python debug interpreter.
 
 Package: python-twisted-conch
 Architecture: all
